Package org.apache.felix.http.jakartawrappers

# Class EventListenerWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.EventListenerWrapper

All Implemented Interfaces:
  `jakarta.servlet.http.HttpSessionAttributeListener`, `jakarta.servlet.http.HttpSessionIdListener`, `jakarta.servlet.http.HttpSessionListener`, `jakarta.servlet.ServletContextAttributeListener`, `jakarta.servlet.ServletContextListener`, `jakarta.servlet.ServletRequestAttributeListener`, `jakarta.servlet.ServletRequestListener`, `EventListener`

public class EventListenerWrapper extends Object implements jakarta.servlet.http.HttpSessionAttributeListener, jakarta.servlet.http.HttpSessionIdListener, jakarta.servlet.http.HttpSessionListener, jakarta.servlet.ServletContextListener, jakarta.servlet.ServletContextAttributeListener, jakarta.servlet.ServletRequestListener, jakarta.servlet.ServletRequestAttributeListener
Wrapper for all listeners

## Constructor Summary

Constructors
Constructor
Description
`EventListenerWrapper(@NotNull EventListener listener, @NotNull Set<String> listenerTypes)`
Create new wrapper

## Method Summary

Modifier and Type
Method
Description
`void`
`attributeAdded(jakarta.servlet.http.HttpSessionBindingEvent event)`
`void`
`attributeAdded(jakarta.servlet.ServletContextAttributeEvent event)`
`void`
`attributeAdded(jakarta.servlet.ServletRequestAttributeEvent srae)`
`void`
`attributeRemoved(jakarta.servlet.http.HttpSessionBindingEvent event)`
`void`
`attributeRemoved(jakarta.servlet.ServletContextAttributeEvent event)`
`void`
`attributeRemoved(jakarta.servlet.ServletRequestAttributeEvent srae)`
`void`
`attributeReplaced(jakarta.servlet.http.HttpSessionBindingEvent event)`
`void`
`attributeReplaced(jakarta.servlet.ServletContextAttributeEvent event)`
`void`
`attributeReplaced(jakarta.servlet.ServletRequestAttributeEvent srae)`
`void`
`contextDestroyed(jakarta.servlet.ServletContextEvent sce)`
`void`
`contextInitialized(jakarta.servlet.ServletContextEvent sce)`
`@NotNull EventListener`
`getListener()`
Get the listener
`void`
`requestDestroyed(jakarta.servlet.ServletRequestEvent sre)`
`void`
`requestInitialized(jakarta.servlet.ServletRequestEvent sre)`
`void`
`sessionCreated(jakarta.servlet.http.HttpSessionEvent se)`
`void`
`sessionDestroyed(jakarta.servlet.http.HttpSessionEvent se)`
`void`
`sessionIdChanged(jakarta.servlet.http.HttpSessionEvent event, String oldSessionId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventListenerWrapper

public EventListenerWrapper(@NotNull @NotNull EventListener listener, @NotNull @NotNull Set<String> listenerTypes)
Create new wrapper

Parameters:
  `listener` - Wrapped listener
  `listenerTypes` - Service interfaces

## Method Details

### attributeAdded

public void attributeAdded(jakarta.servlet.ServletRequestAttributeEvent srae)

Specified by:
  `attributeAdded` in interface `jakarta.servlet.ServletRequestAttributeListener`

### attributeRemoved

public void attributeRemoved(jakarta.servlet.ServletRequestAttributeEvent srae)

Specified by:
  `attributeRemoved` in interface `jakarta.servlet.ServletRequestAttributeListener`

### attributeReplaced

public void attributeReplaced(jakarta.servlet.ServletRequestAttributeEvent srae)

Specified by:
  `attributeReplaced` in interface `jakarta.servlet.ServletRequestAttributeListener`

### requestDestroyed

public void requestDestroyed(jakarta.servlet.ServletRequestEvent sre)

Specified by:
  `requestDestroyed` in interface `jakarta.servlet.ServletRequestListener`

### requestInitialized

public void requestInitialized(jakarta.servlet.ServletRequestEvent sre)

Specified by:
  `requestInitialized` in interface `jakarta.servlet.ServletRequestListener`

### attributeAdded

public void attributeAdded(jakarta.servlet.ServletContextAttributeEvent event)

Specified by:
  `attributeAdded` in interface `jakarta.servlet.ServletContextAttributeListener`

### attributeRemoved

public void attributeRemoved(jakarta.servlet.ServletContextAttributeEvent event)

Specified by:
  `attributeRemoved` in interface `jakarta.servlet.ServletContextAttributeListener`

### attributeReplaced

public void attributeReplaced(jakarta.servlet.ServletContextAttributeEvent event)

Specified by:
  `attributeReplaced` in interface `jakarta.servlet.ServletContextAttributeListener`

### contextInitialized

public void contextInitialized(jakarta.servlet.ServletContextEvent sce)

Specified by:
  `contextInitialized` in interface `jakarta.servlet.ServletContextListener`

### contextDestroyed

public void contextDestroyed(jakarta.servlet.ServletContextEvent sce)

Specified by:
  `contextDestroyed` in interface `jakarta.servlet.ServletContextListener`

### sessionCreated

public void sessionCreated(jakarta.servlet.http.HttpSessionEvent se)

Specified by:
  `sessionCreated` in interface `jakarta.servlet.http.HttpSessionListener`

### sessionDestroyed

public void sessionDestroyed(jakarta.servlet.http.HttpSessionEvent se)

Specified by:
  `sessionDestroyed` in interface `jakarta.servlet.http.HttpSessionListener`

### sessionIdChanged

public void sessionIdChanged(jakarta.servlet.http.HttpSessionEvent event, String oldSessionId)

Specified by:
  `sessionIdChanged` in interface `jakarta.servlet.http.HttpSessionIdListener`

### attributeAdded

public void attributeAdded(jakarta.servlet.http.HttpSessionBindingEvent event)

Specified by:
  `attributeAdded` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

### attributeRemoved

public void attributeRemoved(jakarta.servlet.http.HttpSessionBindingEvent event)

Specified by:
  `attributeRemoved` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

### attributeReplaced

public void attributeReplaced(jakarta.servlet.http.HttpSessionBindingEvent event)

Specified by:
  `attributeReplaced` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

### getListener

@NotNull public @NotNull EventListener getListener()
Get the listener

Returns:
  The listener